## readsb 3.14.1630+git20240609.adc080d

=== Makefile ===
PROGNAME=readsb
READSB_VERSION := "$(shell echo -n `cat version`; { git show -s --format=format: && echo -n ' wiedehopf git: ' && git describe --abbrev --dirty --always && git show -s --format=format:"(committed: %cd)" | tr -cd '[a-z],[A-Z],[0-9],:, ,\-,_,(,)';} || echo -n ' compiled on '`date +%y%m%d` )"

RTLSDR ?= no
BLADERF ?= no
HACKRF ?= no
PLUTOSDR ?= no
SOAPYSDR ?= no
AGGRESSIVE ?= no
HAVE_BIASTEE ?= no
TRACKS_UUID ?= no
PRINT_UUIDS ?= no

DIALECT = -std=c11
CFLAGS = $(DIALECT) -W -D_GNU_SOURCE -D_DEFAULT_SOURCE -Wall -Werror -fno-common -O2
CFLAGS += -DMODES_READSB_VERSION=\"$(READSB_VERSION)\"
CFLAGS += -Wdate-time -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -Wformat -Werror=format-security

LIBS = -pthread -lpthread -lm -lrt -lzstd

ifeq ($(ZLIB_STATIC), yes)
	LIBS += -l:libz.a
else
	LIBS += -lz
endif

ifeq ($(shell $(CC) -c feature_test.c -o feature_test.o -Wno-format-truncation -Werror >/dev/null 2>&1 && echo 1 || echo 0), 1)
	CFLAGS += -Wno-format-truncation
endif

ifeq ($(shell uname -m | grep -qs -e arm -e aarch64 >/dev/null 2>&1 && echo 1 || echo 0), 1)
  CFLAGS += -DSC16Q11_TABLE_BITS=8
endif

ifeq ($(DISABLE_INTERACTIVE), yes)
  CFLAGS += -DDISABLE_INTERACTIVE
else
  LIBS += $(shell pkg-config --libs ncurses)
endif

# only disable workaround if zerocopy is disabled in librtlsdr, otherwise expect significantly increased CPU use
ifeq ($(DISABLE_RTLSDR_ZEROCOPY_WORKAROUND), yes)
  CFLAGS += -DDISABLE_RTLSDR_ZEROCOPY_WORKAROUND
endif

ifeq ($(HISTORY), yes)
  CFLAGS += -DALL_JSON=1
endif

ifneq ($(PREAMBLE_THRESHOLD_DEFAULT),)
  CFLAGS += -DPREAMBLE_THRESHOLD_DEFAULT=$(PREAMBLE_THRESHOLD_DEFAULT)
endif

ifneq ($(GLOBE_PERM_IVAL),)
  CFLAGS += -DGLOBE_PERM_IVAL=$(GLOBE_PERM_IVAL)
endif

ifneq ($(TRACE_THREADS),)
  CFLAGS += -DTRACE_THREADS=$(TRACE_THREADS)
endif

ifneq ($(TRACE_RECENT_POINTS),)
  CFLAGS += -DTRACE_RECENT_POINTS=$(TRACE_RECENT_POINTS)
endif

ifneq ($(AIRCRAFT_HASH_BITS),)
  CFLAGS += -DAIRCRAFT_HASH_BITS=$(AIRCRAFT_HASH_BITS)
endif

ifeq ($(STATS_PHASE),yes)
  CFLAGS += -DSTATS_PHASE
endif

ifeq ($(TRACKS_UUID), yes)
  CFLAGS += -DTRACKS_UUID
endif

ifeq ($(PRINT_UUIDS), yes)
  CFLAGS += -DPRINT_UUIDS
endif

ifneq ($(RECENT_RECEIVER_IDS),)
  CFLAGS += -DRECENT_RECEIVER_IDS=$(RECENT_RECEIVER_IDS)
endif

ifeq ($(RTLSDR), yes)
  SDR_OBJ += sdr_rtlsdr.o
  CFLAGS += -DENABLE_RTLSDR

  ifeq ($(HAVE_BIASTEE), yes)
    CFLAGS += -DENABLE_RTLSDR_BIASTEE
  endif

  ifdef RTLSDR_PREFIX
    CFLAGS += -I$(RTLSDR_PREFIX)/include
    LDFLAGS += -L$(RTLSDR_PREFIX)/lib
  else
    CFLAGS += $(shell pkg-config --cflags librtlsdr)
    LDFLAGS += $(shell pkg-config --libs-only-L librtlsdr)
  endif

  ifeq ($(STATIC), yes)
    LIBS_SDR += -Wl,-Bstatic -lrtlsdr -Wl,-Bdynamic -lusb-1.0
  else
    LIBS_SDR += -lrtlsdr -lusb-1.0
  endif
endif

ifeq ($(BLADERF), yes)
  SDR_OBJ += sdr_bladerf.o sdr_ubladerf.o
  CFLAGS += $(shell pkg-config --cflags libbladeRF) -DENABLE_BLADERF
  LIBS_SDR += $(shell pkg-config --libs libbladeRF)
endif

ifeq ($(HACKRF), yes)
  SDR_OBJ += sdr_hackrf.o
  CFLAGS += $(shell pkg-config --cflags libhackrf) -DENABLE_HACKRF
  LIBS_SDR += $(shell pkg-config --libs libhackrf)
endif

ifeq ($(PLUTOSDR), yes)
    SDR_OBJ += sdr_plutosdr.o
    CFLAGS += $(shell pkg-config --cflags libiio libad9361) -DENABLE_PLUTOSDR
    LIBS_SDR += $(shell pkg-config --libs libiio libad9361)
endif

ifeq ($(SOAPYSDR), yes)
  SDR_OBJ += sdr_soapy.o
  CFLAGS += $(shell pkg-config --cflags SoapySDR) -DENABLE_SOAPYSDR
  LIBS_SDR += $(shell pkg-config --libs SoapySDR)
endif

# add custom overrides if user defines them
CFLAGS += -g $(OPTIMIZE)

all: readsb viewadsb

ifneq ($(shell cat .version 2>/dev/null),prefix $(READSB_VERSION))
.PHONY: .version
.version:
	@(echo 'prefix $(READSB_VERSION)' >.version &)
endif

readsb.o: readsb.c *.h .version
	$(CC) $(CFLAGS) -c $< -o $@

%.o: %.c *.h
	$(CC) $(CFLAGS) -c $< -o $@

minilzo.o: minilzo/minilzo.c minilzo/minilzo.h
	$(CC) $(CFLAGS) -c $< -o $@

readsb: readsb.o argp.o anet.o interactive.o mode_ac.o mode_s.o comm_b.o json_out.o net_io.o crc.o demod_2400.o \
	uat2esnt/uat2esnt.o uat2esnt/uat_decode.o \
	stats.o cpr.o icao_filter.o track.o util.o fasthash.o convert.o sdr_ifile.o sdr_beast.o sdr.o ais_charset.o \
	globe_index.o geomag.o receiver.o aircraft.o api.o minilzo.o threadpool.o \
	$(SDR_OBJ) $(COMPAT)
	$(CC) -o $@ $^ $(LDFLAGS) $(LIBS) $(LIBS_SDR) $(OPTIMIZE)

viewadsb: readsb
	rm -f viewadsb
	cp readsb viewadsb

clean:
	rm -f *.o uat2esnt/*.o compat/clock_gettime/*.o compat/clock_nanosleep/*.o readsb viewadsb cprtests crctests convert_benchmark

cprtest: cprtests
	./cprtests

cprtests: cpr.o cprtests.o
	$(CC) $(CFLAGS) -o $@ $^ -lm

crctests: crc.c crc.h
	$(CC) $(CFLAGS) -DCRCDEBUG -o $@ $<

benchmarks: convert_benchmark
	./convert_benchmark

oneoff/convert_benchmark: oneoff/convert_benchmark.o convert.o util.o
	$(CC) $(CFLAGS) -o $@ $^ -lm

oneoff/decode_comm_b: oneoff/decode_comm_b.o comm_b.o ais_charset.o
	$(CC) $(CFLAGS) -o $@ $^ -lm

=== minilzo/Makefile ===
#
# a very simple Makefile for miniLZO
#
# Copyright (C) 1996-2017 Markus F.X.J. Oberhumer
#

PROGRAM = testmini
SOURCES = testmini.c minilzo.c

default:
	@echo ""
	@echo "Welcome to miniLZO. Please choose one of the following 'make' targets:"
	@echo ""
	@echo "    gcc:   gcc"
	@echo "    unix:  hpux hpux9"
	@echo "    win32: win32-bc win32-cygwin win32-dm win32-lccwin32"
	@echo "           win32-intelc win32-mingw win32-vc win32-watcomc"
	@echo "    dos32: dos32-djgpp2 dos32-wc"
	@echo ""


# Make sure that minilzo.h, lzoconf.h and lzodefs.h are in the
# current dircectory. Otherwise you may want to adjust CPPFLAGS.
CPPFLAGS = -I. -I../include/lzo

GCC_CFLAGS = -s -Wall -O2 -fomit-frame-pointer


#
# gcc (generic)
#

gcc:
	gcc $(CPPFLAGS) $(GCC_CFLAGS) -o $(PROGRAM) $(SOURCES)

cc:
	cc $(CPPFLAGS) -o $(PROGRAM) $(SOURCES)


#
# UNIX
#

hpux:
	cc -Ae $(CPPFLAGS) -o $(PROGRAM) $(SOURCES)

hpux9:
	cc -Aa -D_HPUX_SOURCE $(CPPFLAGS) -o $(PROGRAM) $(SOURCES)


#
# Windows (32-bit)
#

win32-borlandc win32-bc:
	bcc32 -O2 -d -w -w-aus $(CPPFLAGS) $(SOURCES)

win32-cygwin32 win32-cygwin:
	gcc -mcygwin $(CPPFLAGS) $(GCC_CFLAGS) -o $(PROGRAM).exe $(SOURCES)

win32-digitalmars win32-dm:
	dmc -mn -o -w- $(CPPFLAGS) $(SOURCES)

win32-intelc win32-ic:
	icl -nologo -MT -W3 -O2 -GF $(CPPFLAGS) $(SOURCES)

win32-lccwin32:
	@echo "NOTE: need lcc 2002-07-25 or newer, older versions have bugs"
	lc -A -unused -O $(CPPFLAGS) $(SOURCES)

win32-mingw32 win32-mingw:
	gcc -mno-cygwin $(CPPFLAGS) $(GCC_CFLAGS) -o $(PROGRAM).exe $(SOURCES)

win32-visualc win32-vc:
	cl -nologo -MT -W3 -O2 -GF $(CPPFLAGS) $(SOURCES)

win32-watcomc win32-wc:
	wcl386 -bt=nt -zq -mf -5r -zc -w5 -oneatx $(CPPFLAGS) $(SOURCES)


#
# DOS (32-bit)
#

dos32-djgpp2 dos32-dj2:
	gcc $(CPPFLAGS) $(GCC_CFLAGS) -o $(PROGRAM).exe $(SOURCES)

dos32-watcomc dos32-wc:
	wcl386 -zq -mf -bt=dos -l=dos4g -5r -ox -zc $(CPPFLAGS) $(SOURCES)


#
# other targets
#

clean:
	rm -f $(PROGRAM) $(PROGRAM).exe $(PROGRAM).map $(PROGRAM).tds
	rm -f *.err *.o *.obj

.PHONY: default clean

=== debian/changelog ===
readsb (3.14.1630+git20240609.adc080d-1) unstable; urgency=medium

  * New upstream release.
  * debian/readsb.postrm: don't error out when deluser is missing
  * add patch to make package reproducible build (Closes: #1085283)
    Thanks a lot to Chris Lamb for the patch.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 Oct 2024 22:53:06 +0200

readsb (3.14.1630-1) unstable; urgency=medium

  * first upload

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Oct 2024 22:03:02 +0200

=== debian/control ===
Source: readsb
Section: net
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat(=13)
	, libusb-1.0-0-dev
	, libncurses-dev
	, zlib1g-dev
	, zlib1g
	, pkg-config
	, libzstd-dev
	, libzstd1
	, librtlsdr0
	, librtlsdr-dev
Standards-Version: 4.7.0
Homepage: https://github.com/adsbfi/readsb
Vcs-Browser: https://salsa.debian.org/alteholz/readsb
Vcs-Git: https://salsa.debian.org/alteholz/readsb.git
Rules-Requires-Root: no

Package: readsb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: Mode-S/ADSB/TIS decoder for RTLSDR, BladeRF, Modes-Beast and GNS5894 devices
 As a former fork of dump1090-fa it is using that code base but development
 will continue as a standalone project with new name. Readsb can co-exist on
 the same host system with dump1090-fa, it doesn't use or modify its resources.
 .
 However both programs will not share a receiver device at the same time
 and in parallel.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ifeq ($(DEB_HOST_ARCH),armhf)
  # Assume a Pi-like target, where using an 8-bit table is a fairly big win over the float path
  CPPFLAGS += -DSC16Q11_TABLE_BITS=8
endif

CONFIG_SWITCH =

ifneq ($(filter rtlsdr,$(DEB_BUILD_PROFILES)),)
	CONFIG_SWITCH += 'RTLSDR=yes'
	CONFIG_SWITCH += 'AIRCRAFT_HASH_BITS=15'
endif

ifneq ($(filter history,$(DEB_BUILD_PROFILES)),)
	CONFIG_SWITCH += 'HISTORY=yes'
endif

ifneq ($(filter native,$(DEB_BUILD_PROFILES)),)
	CONFIG_SWITCH += 'OPTIMIZE=-march=native'
endif

ifneq ($(filter plutosdr,$(DEB_BUILD_PROFILES)),)
        CONFIG_SWITCH += 'PLUTOSDR=yes'
endif

ifneq ($(filter biastee,$(DEB_BUILD_PROFILES)),)
        CONFIG_SWITCH += 'HAVE_BIASTEE=yes'
endif

override_dh_auto_build:
	make -j2 $(CONFIG_SWITCH)

override_dh_install:
	dh_install
	install -d debian/readsb/usr/bin
	cp -a readsb debian/readsb/usr/bin/readsb
	cp -a viewadsb debian/readsb/usr/bin/viewadsb

override_dh_installinit:
	dh_installinit --noscripts

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
#	dh $@ --with=systemd
	dh $@

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=3.14.1630+git%cd.%h" \
https://github.com/adsbfi/readsb \
HEAD debian uupdate

## readsb 3.16

=== Makefile ===
PROGNAME=readsb
READSB_VERSION := "$(shell echo -n `cat version`; { git show -s --format=format: && echo -n ' wiedehopf git: ' && git describe --abbrev --dirty --always && git show -s --format=format:"(committed: %cd)" | tr -cd '[a-z],[A-Z],[0-9],:, ,\-,_,(,)';} || echo -n ' compiled on '`date +%y%m%d` )"

RTLSDR ?= no
BLADERF ?= no
HACKRF ?= no
PLUTOSDR ?= no
SOAPYSDR ?= no
AGGRESSIVE ?= no
HAVE_BIASTEE ?= no
TRACKS_UUID ?= no
PRINT_UUIDS ?= no

DIALECT = -std=c11
CFLAGS = $(DIALECT) -W -Wall -Werror -fno-common -O2
CFLAGS += -DMODES_READSB_VERSION=\"$(READSB_VERSION)\"
CFLAGS += -DREADSB_SHORT_VERSION=\"$(shell cat version)\"
CFLAGS += -DREADSB_SHORT_COMMIT=\"$(shell git describe --abbrev --dirty --always || echo nogit)\"
CFLAGS += -Wdate-time -fstack-protector-strong -Wformat -Werror=format-security

# Platform-specific settings
UNAME := $(shell uname)
ifeq ($(UNAME), Linux)
    CFLAGS += -D_GNU_SOURCE -D_DEFAULT_SOURCE
    CFLAGS += -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
    LIBS = -pthread -lpthread -lm -lrt -lzstd
else ifeq ($(UNAME), Darwin)
    CFLAGS += -D_DARWIN_C_SOURCE
    CFLAGS += -I./compat/apple  # For epoll_shim.h
    CFLAGS += -I/opt/homebrew/include  # For zstd.h
    LDFLAGS += -L/opt/homebrew/lib
    LIBS = -pthread -lpthread -lm -lzstd
    COMPAT += compat/apple/epoll_shim.o
else
    LIBS = -pthread -lpthread -lm -lrt -lzstd
endif

ifeq ($(ZLIB_STATIC), yes)
	LIBS += -l:libz.a
else
    LIBS += -lz
endif

ifeq ($(shell $(CC) -c feature_test.c -o feature_test.o -Wno-format-truncation -Werror >/dev/null 2>&1 && echo 1 || echo 0), 1)
    CFLAGS += -Wno-format-truncation
endif

ifeq ($(shell uname -m | grep -qs -e arm -e aarch64 >/dev/null 2>&1 && echo 1 || echo 0), 1)
    CFLAGS += -DSC16Q11_TABLE_BITS=8
endif

ifeq ($(DISABLE_INTERACTIVE), yes)
    CFLAGS += -DDISABLE_INTERACTIVE
else
    ifeq ($(UNAME), Darwin)
        LIBS += $(shell pkg-config --libs ncurses 2>/dev/null || echo -lncurses)
    else
        LIBS += $(shell pkg-config --libs ncurses)
    endif
endif

# only disable workaround if zerocopy is disabled in librtlsdr, otherwise expect significantly increased CPU use
ifeq ($(DISABLE_RTLSDR_ZEROCOPY_WORKAROUND), yes)
    CFLAGS += -DDISABLE_RTLSDR_ZEROCOPY_WORKAROUND
endif

ifeq ($(LTO), yes)
	CFLAGS += -flto
	LDFLAGS += -flto
endif

ifeq ($(HISTORY), yes)
    CFLAGS += -DALL_JSON=1
endif

ifneq ($(PREAMBLE_THRESHOLD_DEFAULT),)
    CFLAGS += -DPREAMBLE_THRESHOLD_DEFAULT=$(PREAMBLE_THRESHOLD_DEFAULT)
endif

ifneq ($(TRACE_THREADS),)
    CFLAGS += -DTRACE_THREADS=$(TRACE_THREADS)
endif

ifneq ($(TRACE_RECENT_POINTS),)
    CFLAGS += -DTRACE_RECENT_POINTS=$(TRACE_RECENT_POINTS)
endif

ifneq ($(AIRCRAFT_HASH_BITS),)
    CFLAGS += -DAIRCRAFT_HASH_BITS=$(AIRCRAFT_HASH_BITS)
endif

ifeq ($(STATS_PHASE),yes)
    CFLAGS += -DSTATS_PHASE
endif

ifeq ($(TRACKS_UUID), yes)
    CFLAGS += -DTRACKS_UUID
endif

ifeq ($(PRINT_UUIDS), yes)
    CFLAGS += -DPRINT_UUIDS
endif

ifneq ($(RECENT_RECEIVER_IDS),)
    CFLAGS += -DRECENT_RECEIVER_IDS=$(RECENT_RECEIVER_IDS)
endif

ifeq ($(RTLSDR), yes)
    SDR_OBJ += sdr_rtlsdr.o
    CFLAGS += -DENABLE_RTLSDR

    ifeq ($(HAVE_BIASTEE), yes)
        CFLAGS += -DENABLE_RTLSDR_BIASTEE
    endif

    ifdef RTLSDR_PREFIX
        CFLAGS += -I$(RTLSDR_PREFIX)/include
        LDFLAGS += -L$(RTLSDR_PREFIX)/lib
    else
        CFLAGS += $(shell pkg-config --cflags librtlsdr)
        LDFLAGS += $(shell pkg-config --libs-only-L librtlsdr)
    endif

	# static linking not well supported, use at own risk
    ifeq ($(STATIC), yes)
		LIBS_SDR += -Wl,-Bstatic -lrtlsdr -Wl,-Bdynamic -lusb-1.0
    else
        LIBS_SDR += -lrtlsdr -lusb-1.0
    endif
endif

ifeq ($(BLADERF), yes)
    SDR_OBJ += sdr_bladerf.o sdr_ubladerf.o
    CFLAGS += $(shell pkg-config --cflags libbladeRF) -DENABLE_BLADERF
    LIBS_SDR += $(shell pkg-config --libs libbladeRF)
endif

ifeq ($(HACKRF), yes)
    SDR_OBJ += sdr_hackrf.o
    CFLAGS += $(shell pkg-config --cflags libhackrf) -DENABLE_HACKRF
    LIBS_SDR += $(shell pkg-config --libs libhackrf)
endif

ifeq ($(PLUTOSDR), yes)
    SDR_OBJ += sdr_plutosdr.o
    CFLAGS += $(shell pkg-config --cflags libiio libad9361) -DENABLE_PLUTOSDR
    LIBS_SDR += $(shell pkg-config --libs libiio libad9361)
endif

ifeq ($(SOAPYSDR), yes)
    SDR_OBJ += sdr_soapy.o
    CFLAGS += $(shell pkg-config --cflags SoapySDR) -DENABLE_SOAPYSDR
    LIBS_SDR += $(shell pkg-config --libs SoapySDR)
endif

# add custom overrides if user defines them
CFLAGS += -g $(OPTIMIZE)

all: readsb viewadsb

ifneq ($(shell cat .version 2>/dev/null),prefix $(READSB_VERSION))
.PHONY: .version
.version:
	@(echo 'prefix $(READSB_VERSION)' >.version &)
endif

readsb.o: readsb.c *.h .version
	$(CC) $(CFLAGS) -c $< -o $@

%.o: %.c *.h
	$(CC) $(CFLAGS) -c $< -o $@

readsb: readsb.o argp.o anet.o interactive.o mode_ac.o mode_s.o comm_b.o json_out.o net_io.o crc.o demod_2400.o \
	uat2esnt/uat2esnt.o uat2esnt/uat_decode.o \
	stats.o cpr.o icao_filter.o track.o util.o fasthash.o convert.o sdr_ifile.o sdr_beast.o sdr.o ais_charset.o \
	globe_index.o geomag.o receiver.o aircraft.o api.o threadpool.o \
	$(SDR_OBJ) $(COMPAT)
	$(CC) -o $@ $^ $(LDFLAGS) $(LIBS) $(LIBS_SDR) $(OPTIMIZE)

viewadsb: readsb
	rm -f viewadsb
	cp readsb viewadsb

clean:
	rm -f *.o uat2esnt/*.o compat/clock_gettime/*.o compat/clock_nanosleep/*.o compat/apple/*.o readsb viewadsb cprtests crctests convert_benchmark

test: cprtest crctest

cprtest: cprtests
	./cprtests

crctest: cprtests
	./cprtests

cprtests: cpr.o cprtests.o
	$(CC) $(CFLAGS) -o $@ $^ -lm

crctests: crc.c crc.h
	$(CC) $(CFLAGS) -DCRCDEBUG -o $@ $<

benchmarks: oneoff/convert_benchmark
	./convert_benchmark

oneoff/convert_benchmark: oneoff/convert_benchmark.o convert.o util.o
	$(CC) $(CFLAGS) -o $@ $^ -lm

oneoff/decode_comm_b: oneoff/decode_comm_b.o comm_b.o ais_charset.o
	$(CC) $(CFLAGS) -o $@ $^ -lm

=== debian/changelog ===
readsb (3.16-2) unstable; urgency=medium

  * fix gcc-15 compilation (Closes: #1097777)
    This was already done in v3.16-1
  * remove -march=native (Closes: #1112633)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 02 Sep 2025 23:18:24 +0200

readsb (3.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: switch to new upstream
  * debian/conrol: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 26 Aug 2025 23:18:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat(=13)
-	, libusb-1.0-0-dev
 	, libncurses-dev
 	, zlib1g-dev
 	, zlib1g
@@ -11,8 +10,15 @@
 	, libzstd-dev
 	, libzstd1
 	, librtlsdr0
+        , help2man
+	, libusb-1.0-0-dev
 	, librtlsdr-dev
-Standards-Version: 4.7.0
+	, libhackrf-dev
+	, libbladerf-dev
+	, libad9361-dev
+	, libiio-dev
+	, libsoapysdr-dev
+Standards-Version: 4.7.2
 Homepage: https://github.com/adsbfi/readsb
 Vcs-Browser: https://salsa.debian.org/alteholz/readsb
 Vcs-Git: https://salsa.debian.org/alteholz/readsb.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ifeq ($(DEB_HOST_ARCH),armhf)
  # Assume a Pi-like target, where using an 8-bit table is a fairly big win over the float path
  CPPFLAGS += -DSC16Q11_TABLE_BITS=8
endif

CONFIG_SWITCH =

# we don't use build profiles here, we use everything
#NOBUILDPROFILE: ifneq ($(filter with_sdrs,$(DEB_BUILD_PROFILES)),)
	CONFIG_SWITCH += 'RTLSDR=yes'
	CONFIG_SWITCH += 'SOAPYSDR=yes'
	CONFIG_SWITCH += 'HACKRF=yes'
	CONFIG_SWITCH += 'BLADERF=yes'
	CONFIG_SWITCH += 'PLUTOSDR=yes'
#NOBUILDPROFILE: endif

#NOBUILDPROFILE: ifneq ($(filter rtlsdr,$(DEB_BUILD_PROFILES)),)
	CONFIG_SWITCH += 'RTLSDR=yes'
#NOBUILDPROFILE: endif

#NOBUILDPROFILE: ifneq ($(filter soapysdr,$(DEB_BUILD_PROFILES)),)
	CONFIG_SWITCH += 'SOAPYSDR=yes'
#NOBUILDPROFILE: endif

#NOBUILDPROFILE: ifneq ($(filter hackrf,$(DEB_BUILD_PROFILES)),)
	CONFIG_SWITCH += 'HACKRF=yes'
#NOBUILDPROFILE: endif

#NOBUILDPROFILE: ifneq ($(filter bladerf,$(DEB_BUILD_PROFILES)),)
	CONFIG_SWITCH += 'BLADERF=yes'
#NOBUILDPROFILE: endif

#NOBUILDPROFILE: ifneq ($(filter plutosdr,$(DEB_BUILD_PROFILES)),)
	CONFIG_SWITCH += 'PLUTOSDR=yes'
#NOBUILDPROFILE: endif

#NOBUILDPROFILE: ifneq ($(filter history,$(DEB_BUILD_PROFILES)),)
	CONFIG_SWITCH += 'HISTORY=yes'
#NOBUILDPROFILE: endif

#NOBUILDPROFILE: ifneq ($(filter native,$(DEB_BUILD_PROFILES)),)
#DO NOT USE THIS:	CONFIG_SWITCH += 'OPTIMIZE=-march=native'
#NOBUILDPROFILE: endif

#NOBUILDPROFILE: ifneq ($(filter biastee,$(DEB_BUILD_PROFILES)),)
        CONFIG_SWITCH += 'HAVE_BIASTEE=yes'
#NOBUILDPROFILE: endif

%:
# systemd no longer in dh>11	dh $@ --with=systemd
	dh $@

override_dh_auto_build:
	make -j4 $(CONFIG_SWITCH)
	help2man -N --no-discard-stderr ./viewadsb > debian/viewadsb.1
	help2man -N --no-discard-stderr ./readsb > debian/readsb.1

override_dh_install:
	dh_install
	install -d debian/readsb/usr/bin
	cp -a readsb debian/readsb/usr/bin/readsb
	#ln -s /usr/bin/readsb debian/readsb/usr/bin/viewadsb
	cp -a readsb debian/readsb/usr/bin/viewadsb

override_dh_installinit:
	dh_installinit --noscripts

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openvlbi-$1\.tar\.gz/ \
  https://github.com/wiedehopf/readsb/tags .*/v?(\d\S+)\.tar\.gz \
	debian uupdate

## old repository
#version=4
#opts="mode=git, pgpmode=none, pretty=3.14.1630+git%cd.%h" \
#https://github.com/adsbfi/readsb \
#HEAD debian uupdate
